interface ISize {
    width?: number;
    height?: number;
}
interface IDeviceSize {
    name: string;
    title: string;
    size?: ISize;
}
declare const _default: import("vue").DefineComponent<{
    value: null;
}, {
    __sfc: boolean;
    deviceSizeList: IDeviceSize[];
    props: {
        value: ISize;
    };
    emit: (event: "input", ...args: any[]) => void;
    selectedDeviceSize: import("vue").Ref<string>;
    innerValue: import("vue").Ref<{
        width?: number | undefined;
        height?: number | undefined;
    }> | import("vue").WritableComputedRef<ISize>;
    disabledEdit: import("vue").Ref<boolean>;
    width: import("vue").WritableComputedRef<unknown>;
    height: import("vue").WritableComputedRef<unknown>;
    onDeviceChange: (device?: IDeviceSize | undefined) => void;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
    IdeIcon: import("vue").DefineComponent<{
        icon: {
            type: StringConstructor;
            required: true;
        };
        size: {
            type: StringConstructor;
            default: string;
        };
        color: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        icon: {
            type: StringConstructor;
            required: true;
        };
        size: {
            type: StringConstructor;
            default: string;
        };
        color: {
            type: StringConstructor;
        };
    }>>, {
        size: string;
    }>;
    SelectableDiv: import("vue").DefineComponent<{
        value: null;
        name: null;
        row: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            value?: string | undefined;
            name?: string | undefined;
            row?: boolean | undefined;
        };
        emit: (event: "input", ...args: any[]) => void;
        component: import("vue").ComputedRef<import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }> | import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: null;
        name: null;
        row: {
            type: BooleanConstructor;
        };
    }>>, {
        row: boolean;
    }>;
    Input: import("vue").DefineComponent<{
        value: {
            type: (NumberConstructor | StringConstructor)[];
        };
        placeholder: {
            type: StringConstructor;
        };
        autoFocus: {
            type: BooleanConstructor;
        };
        size: {
            type: StringConstructor;
        };
        type: {
            type: StringConstructor;
        };
        disabled: {
            type: BooleanConstructor;
        };
        border: {
            type: BooleanConstructor;
            default: boolean;
        };
        clearable: {
            type: BooleanConstructor;
        };
        number: {
            type: BooleanConstructor;
        };
        rows: {
            type: NumberConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            number: boolean;
            border: boolean;
            disabled: boolean;
            autoFocus: boolean;
            clearable: boolean;
        } & {
            value?: string | number | undefined;
            size?: string | undefined;
            type?: string | undefined;
            placeholder?: string | undefined;
            rows?: number | undefined;
        }>>>;
        emit: (event: "input" | "on-blur" | "on-enter", ...args: any[]) => void;
        innerValue: import("vue").Ref<string | number | undefined> | import("vue").WritableComputedRef<string | number | undefined>;
        refInput: import("vue").Ref<any>;
        onKeydown: ({ keyCode }: {
            keyCode: number;
        }) => void;
        onBlur: () => void;
        focus: () => void;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-blur" | "on-enter")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: (NumberConstructor | StringConstructor)[];
        };
        placeholder: {
            type: StringConstructor;
        };
        autoFocus: {
            type: BooleanConstructor;
        };
        size: {
            type: StringConstructor;
        };
        type: {
            type: StringConstructor;
        };
        disabled: {
            type: BooleanConstructor;
        };
        border: {
            type: BooleanConstructor;
            default: boolean;
        };
        clearable: {
            type: BooleanConstructor;
        };
        number: {
            type: BooleanConstructor;
        };
        rows: {
            type: NumberConstructor;
        };
    }>>, {
        number: boolean;
        border: boolean;
        disabled: boolean;
        autoFocus: boolean;
        clearable: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
    value: null;
}>>, {}>;
export default _default;
