import { JsonNode } from '@fly-vue/lcdp-designer';
declare const _default: import("vue").DefineComponent<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
        service?: Record<string, any> | undefined;
        node?: Record<string, any> | undefined;
    }>>>;
    n: JsonNode;
    s: import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service;
    appId: string | undefined;
    entityName: import("vue").ComputedRef<any>;
    fullEntity: import("vue").Ref<import("@fly-vue/lcdp-api").IEntity | undefined>;
    fields: import("vue").Ref<string[]>;
    candidateFields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[] | undefined>;
    onChange: () => void;
    SelectFields: import("vue").DefineComponent<{
        fields: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        value: {
            type: import("vue").PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            fields: import("@fly-vue/lcdp-api").IField[];
            itemClass: string;
        } & {
            value?: string[] | undefined;
            filterFunc?: Function | undefined;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
        candidateFields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
        listSort: (a: import("@fly-vue/lcdp-api").IField, b: import("@fly-vue/lcdp-api").IField) => number;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        fields: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        value: {
            type: import("vue").PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }>>, {
        itemClass: string;
    }>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}>>, {}>;
export default _default;
