import { Checkbox } from 'view-design';
import { PageType } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    service: {
        type: ObjectConstructor;
    };
    /**
     * 如果 node 为空代表是直接创建整份页面 json ，不是拖拽组件场景。
     */
    node: {
        type: ObjectConstructor;
    };
    entityCode: {
        type: StringConstructor;
    };
    formType: {
        type: StringConstructor;
        enums: PageType[];
    };
    isShowFormBtns: {
        type: BooleanConstructor;
    };
    padding: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        padding: boolean;
        isShowFormBtns: boolean;
    } & {
        service?: Record<string, any> | undefined;
        node?: Record<string, any> | undefined;
        formType?: string | undefined;
        entityCode?: string | undefined;
    }>>>;
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    entityCode: import("vue").Ref<string>;
    isAddSaveBtn: import("vue").Ref<boolean>;
    showProOptions: import("vue").Ref<boolean>;
    isAddPageVar: import("vue").Ref<boolean>;
    formType: import("vue").Ref<PageType>;
    span: import("vue").Ref<string>;
    pageVarName: import("vue").Ref<any>;
    editDsName: import("vue").Ref<string>;
    appId: string | undefined;
    fullEntity: import("vue").Ref<import("@fly-vue/lcdp-api").IEntity | undefined>;
    fields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
    addedFields: import("vue").Ref<string[]>;
    spanList: {
        label: string;
        value: string;
    }[];
    formTypes: {
        value: PageType;
        label: string;
    }[];
    isDataValid: import("vue").ComputedRef<string>;
    onOk: () => Promise<void>;
    generate: () => Promise<any>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcSelect: import("vue").DefineComponent<any, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            [x: string]: any;
        } & {
            [x: number]: any;
            [x: symbol]: any;
        }>>>;
        emit: (event: string, ...args: any[]) => void;
        finalList: import("vue").ComputedRef<any>;
        innerValue: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
        onChange: (str?: string | undefined) => void;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, string[], string, Readonly<any>, {} | {
        [x: string]: any;
    }>;
    FormBtns: import("vue").DefineComponent<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
        onCancel: () => void;
        onOk: () => void;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        padding: boolean;
        loading: boolean;
        disabled: boolean;
        okText: string;
        showCancel: boolean;
        cancelPosition: string;
    }>;
    LcLine: import("vue").DefineComponent<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }>>, {
        position: string;
    }>;
    TextLink: import("vue").DefineComponent<{
        openUrl: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            openUrl?: string | undefined;
        }>>>;
        emit: (event: "click", ...args: any[]) => void;
        onClick: (e: any) => void;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
        openUrl: {
            type: StringConstructor;
        };
    }>>, {}>;
    Space: import("vue").DefineComponent<{}, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    SelectEntity: import("vue").DefineComponent<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
        emitWhenHasInitValue: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            emitWhenHasInitValue: boolean;
        } & {
            value?: string | undefined;
            placeholder?: string | undefined;
        }>>>;
        emit: (event: "input" | "on-change", ...args: any[]) => void;
        v: import("vue").Ref<string | undefined>;
        innerValue: import("vue").Ref<string | undefined>;
        appId: string | undefined;
        list: import("vue").WritableComputedRef<import("@fly-vue/lcdp-api").IEntity[]>;
        loaded: import("vue").Ref<boolean>;
        onChange: (entity?: import("@fly-vue/lcdp-api").IEntity | undefined) => void;
        LcSelect: import("vue").DefineComponent<any, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                [x: string]: any;
            } & {
                [x: number]: any;
                [x: symbol]: any;
            }>>>;
            emit: (event: string, ...args: any[]) => void;
            finalList: import("vue").ComputedRef<any>;
            innerValue: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
            onChange: (str?: string | undefined) => void;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, string[], string, Readonly<any>, {} | {
            [x: string]: any;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: StringConstructor;
        };
        placeholder: {
            type: StringConstructor;
        };
        emitWhenHasInitValue: {
            type: BooleanConstructor;
        };
    }>>, {
        emitWhenHasInitValue: boolean;
    }>;
    RadioGroup: import("vue").DefineComponent<any, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            [x: string]: any;
        } & {
            [x: number]: any;
            [x: symbol]: any;
        }>>>;
        emit: (event: string, ...args: any[]) => void;
        finalList: import("vue").ComputedRef<any>;
        innerValue: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
        onChange: (str?: string | undefined) => void;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, string[], string, Readonly<any>, {} | {
        [x: string]: any;
    }>;
    Checkbox: typeof Checkbox;
    PageTypeLabel: Record<PageType, string>;
    SelectFields: import("vue").DefineComponent<{
        fields: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        value: {
            type: import("vue").PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            fields: import("@fly-vue/lcdp-api").IField[];
            itemClass: string;
        } & {
            value?: string[] | undefined;
            filterFunc?: Function | undefined;
        }>>>;
        emit: (event: "input", ...args: any[]) => void;
        innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
        candidateFields: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IField[]>;
        listSort: (a: import("@fly-vue/lcdp-api").IField, b: import("@fly-vue/lcdp-api").IField) => number;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        fields: {
            type: import("vue").PropType<import("@fly-vue/lcdp-api").IField[]>;
            required: true;
        };
        value: {
            type: import("vue").PropType<string[]>;
        };
        filterFunc: {
            type: FunctionConstructor;
        };
        itemClass: {
            type: StringConstructor;
            default: string;
        };
    }>>, {
        itemClass: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    service: {
        type: ObjectConstructor;
    };
    /**
     * 如果 node 为空代表是直接创建整份页面 json ，不是拖拽组件场景。
     */
    node: {
        type: ObjectConstructor;
    };
    entityCode: {
        type: StringConstructor;
    };
    formType: {
        type: StringConstructor;
        enums: PageType[];
    };
    isShowFormBtns: {
        type: BooleanConstructor;
    };
    padding: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    padding: boolean;
    isShowFormBtns: boolean;
}>;
export default _default;
