import { IEntity } from '@fly-vue/lcdp-api';
import { JsonNode } from '@fly-vue/lcdp-designer';
import { IExtendedField } from '../../../components/meta-dynamic-entity-form/type';
export declare function getComponent(field: IExtendedField, modelName: string): any;
export declare function addFieldFormItem(n: JsonNode, fullEntity: IEntity, modelName: string, field: string): void;
export declare function getInputComponent(field: IExtendedField, modelName: string): any;
export declare function getBooleanComponent(field: IExtendedField, modelName: string): {
    type: string;
    props: {
        size: string;
        value: string;
        disabled: boolean | undefined;
        trueValue: string;
        falseValue: string;
    };
};
export declare function getNumberComponent(field: IExtendedField, modelName: string): {
    type: string;
    props: {
        value: string;
        size: string;
        disabled: boolean | undefined;
        step: number;
        editable: boolean;
    };
    style: string;
};
