import { JsonNode } from '@fly-vue/lcdp-designer';
declare const _default: import("vue").DefineComponent<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
        service?: Record<string, any> | undefined;
        node?: Record<string, any> | undefined;
    }>>>;
    isShow: import("vue").Ref<boolean>;
    n: JsonNode;
    s: import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service;
    pageType: any;
    onChange: (v?: any) => void;
    list: any[];
    PropRow: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        PropTitle: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
            default: boolean;
        };
        title: {
            type: StringConstructor;
        };
    }>>, {
        itemsCenter: boolean;
    }>;
    LcSelect: import("vue").DefineComponent<any, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            [x: string]: any;
        } & {
            [x: number]: any;
            [x: symbol]: any;
        }>>>;
        emit: (event: string, ...args: any[]) => void;
        finalList: import("vue").ComputedRef<any>;
        innerValue: import("vue").Ref<any> | import("vue").WritableComputedRef<any>;
        onChange: (str?: string | undefined) => void;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, string[], string, Readonly<any>, {} | {
        [x: string]: any;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}>>, {}>;
export default _default;
