declare const _default: import("vue").DefineComponent<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}, {
    __sfc: boolean;
    isEnableWorkflow: import("vue").ComputedRef<boolean>;
    PropGroup: import("vue").DefineComponent<{
        title: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        expand: import("vue").Ref<boolean>;
        icon: import("vue").ComputedRef<"md-arrow-dropdown" | "md-arrow-dropright">;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
        Icon: import("vue").DefineComponent<{
            icon: null;
            size: null;
            color: null;
        }, {
            __sfc: boolean;
            props: {
                icon: string;
                size?: string | undefined;
                color?: string | undefined;
            };
            isIdeIcon: import("vue").ComputedRef<boolean>;
            isProIcon: import("vue").ComputedRef<boolean>;
            isIdesIcon: import("vue").ComputedRef<boolean>;
            isLcIcon: import("vue").ComputedRef<boolean>;
            colorMap: Record<string, string>;
            color: import("vue").ComputedRef<string>;
            IdeIcon: import("vue").DefineComponent<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: {
                    type: StringConstructor;
                    required: true;
                };
                size: {
                    type: StringConstructor;
                    default: string;
                };
                color: {
                    type: StringConstructor;
                };
            }>>, {
                size: string;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: null;
            color: null;
        }>>, {}>;
        LcLine: import("vue").DefineComponent<{
            type: null;
            position: {
                default: string;
            };
            size: null;
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            type: null;
            position: {
                default: string;
            };
            size: null;
        }>>, {
            position: string;
        }>;
        PropGroupTitle: import("vue").DefineComponent<{
            title: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
            Space: import("vue").DefineComponent<{}, {
                __sfc: boolean;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                selected: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                middle: boolean;
                selectable: boolean;
                overflowHidden: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            title: {
                type: StringConstructor;
            };
        }>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: StringConstructor;
        };
    }>>, {}>;
    WorkflowControl: import("vue").DefineComponent<{
        node: {
            type: ObjectConstructor;
        };
        service: {
            type: ObjectConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
            service?: Record<string, any> | undefined;
            node?: Record<string, any> | undefined;
        }>>>;
        isShow: import("vue").Ref<boolean>;
        n: import("@fly-vue/lcdp-designer").JsonNode & {
            meta?: {
                workflow?: {
                    controlled?: boolean | undefined;
                } | undefined;
            } | undefined;
        };
        s: import("@fly-vue/lcdp-designer/@types/ui-designer/common/services").Service;
        isCtrl: import("vue").Ref<boolean>;
        PropRow: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
            PropTitle: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                LcText: import("vue").DefineComponent<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }, {
                    __sfc: boolean;
                    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                        bold: boolean;
                        small: boolean;
                        selected: boolean;
                        noWrap: boolean;
                        grey: boolean;
                        copyable: boolean;
                        middle: boolean;
                        selectable: boolean;
                        overflowHidden: boolean;
                    } & {
                        size?: string | undefined;
                    }>>>;
                    slots: import("vue/types/v3-setup-context").Slots;
                    clazz: import("vue").ComputedRef<Record<string, any>>;
                    finalSize: import("vue").ComputedRef<string | null>;
                    style: import("vue").ComputedRef<any>;
                    doCopy: () => void;
                    Tips: import("vue").DefineComponent<{}, {
                        __sfc: boolean;
                        slots: import("vue/types/v3-setup-context").Slots;
                        tip: import("vue").ComputedRef<string | undefined>;
                    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    size: {
                        type: StringConstructor;
                    };
                    noWrap: {
                        type: BooleanConstructor;
                    };
                    bold: {
                        type: BooleanConstructor;
                    };
                    grey: {
                        type: BooleanConstructor;
                    };
                    copyable: {
                        type: BooleanConstructor;
                    };
                    small: {
                        type: BooleanConstructor;
                    };
                    middle: {
                        type: BooleanConstructor;
                    };
                    selectable: {
                        type: BooleanConstructor;
                    };
                    selected: {
                        type: BooleanConstructor;
                    };
                    overflowHidden: {
                        type: BooleanConstructor;
                        default: boolean;
                    };
                }>>, {
                    bold: boolean;
                    small: boolean;
                    selected: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    middle: boolean;
                    selectable: boolean;
                    overflowHidden: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
                default: boolean;
            };
            title: {
                type: StringConstructor;
            };
        }>>, {
            itemsCenter: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        node: {
            type: ObjectConstructor;
        };
        service: {
            type: ObjectConstructor;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    node: {
        type: ObjectConstructor;
    };
    service: {
        type: ObjectConstructor;
    };
}>>, {}>;
export default _default;
