import { ISetting } from '@fly-vue/ide-core';
import { LcdpRendererConfig } from '@fly-vue/lcdp-engine';
export default function setup({ appId }: {
    appId?: string;
}): {
    config: import("vue").ComputedRef<LcdpRendererConfig>;
    loaded: import("vue").Ref<boolean>;
    setting: import("vue").WritableComputedRef<ISetting>;
    isMockMode: import("@vueuse/shared").RemovableRef<boolean>;
    vIfRenderer: import("vue").Ref<boolean>;
    reloadOptionSet: (force?: boolean | undefined) => Promise<void>;
};
