import { LcdpRendererConfig } from '@fly-vue/lcdp-engine';
declare const _default: import("vue").DefineComponent<{
    payload: null;
    id: null;
    config: null;
    mode: {
        default: string;
    };
    isMockMode: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: {
        payload?: Record<string, any> | undefined;
        id?: string | undefined;
        config: LcdpRendererConfig;
        mode: 'normal' | 'iframe';
        isMockMode?: boolean | undefined;
    };
    vIf: import("vue").Ref<boolean>;
    refIframe: import("vue").Ref<any>;
    sendDataToIframe: (data: any) => Promise<void>;
    onIFrameLoaded: (func: () => void) => void;
    LcdpRenderer: import("vue").DefineComponent<{
        onRender: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: import("vue").PropType<LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }, {
        isAdpativePage: import("vue").Ref<boolean>;
        comDef: import("vue").Ref<import("vue").DefineComponent<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }, {
            preprocessed: import("vue").Ref<boolean>;
            compiledPage: any;
            compiledPageRef: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }>>, {}>>;
        masterPayload: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        onRender: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: import("vue").PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: import("vue").PropType<LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }>>, {
        ignoreMicroAppIdInQuery: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    payload: null;
    id: null;
    config: null;
    mode: {
        default: string;
    };
    isMockMode: {
        type: BooleanConstructor;
    };
}>>, {
    isMockMode: boolean;
    mode: string;
}>;
export default _default;
