import { ILayoutSetting, IHeaderMenu, INavi } from '@fly-vue/lcdp-api';
import { PropType, Ref } from 'vue';
declare const _default: import("vue").DefineComponent<{
    layoutConfig: {
        type: PropType<ILayoutSetting>;
        required: true;
    };
    navi: {
        type: PropType<INavi>;
    };
    hideMenus: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        layoutConfig: ILayoutSetting;
        hideMenus: boolean;
    } & {
        navi?: INavi | undefined;
    }>>>;
    emit: (event: "on-remove" | "on-select" | "on-click-header", ...args: any[]) => void;
    config: Ref<ILayoutSetting>;
    selectedHeaderId: Ref<string | undefined>;
    globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
    headerList: import("vue").ComputedRef<IHeaderMenu[]>;
    onSelectHeader: (name: string) => void;
    selectDefaultHeader: () => void;
    getLabel: (menu: IHeaderMenu) => (h: any) => any;
    onHeaderClose: (menu: IHeaderMenu) => Promise<void>;
    genName: <T = any>(name: string, list: T[], prop: keyof T) => string;
    addHeader: () => void;
    handleDragDrop: (name: string, newName: string, a: number, b: number) => void;
    finalLogo: import("vue").ComputedRef<string>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-remove" | "on-select" | "on-click-header")[], string, Readonly<import("vue").ExtractPropTypes<{
    layoutConfig: {
        type: PropType<ILayoutSetting>;
        required: true;
    };
    navi: {
        type: PropType<INavi>;
    };
    hideMenus: {
        type: BooleanConstructor;
    };
}>>, {
    hideMenus: boolean;
}>;
export default _default;
