import { Groups } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    selected: {
        type: BooleanConstructor;
    };
    icon: null;
    payload: null;
    group: null;
    id: null;
    versionId: null;
    platform: null;
    empty: {
        type: BooleanConstructor;
    };
    title: null;
    cardClass: null;
    width: {
        default: string;
    };
    height: {
        default: string;
    };
    noScroll: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: {
        selected?: boolean | undefined;
        icon?: string | undefined;
        payload?: Record<string, any> | undefined;
        group?: Groups | undefined;
        id?: string | undefined;
        versionId?: string | undefined;
        platform?: string | undefined;
        empty?: boolean | undefined;
        title?: string | undefined;
        cardClass?: string | undefined;
        width: string;
        height: string;
        noScroll?: boolean | undefined;
    };
    emit: (event: "on-select" | "on-load", ...args: any[]) => void;
    LazyPreviewLowcodePage: import("vue").DefineComponent<{
        appId: null;
        group: null;
        id: null;
        versionId: null;
        platform: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            appId?: string | undefined;
            group: Groups;
            id: string;
            versionId?: string | undefined;
            platform: import("@fly-vue/lcdp-api").IPlatform;
        };
        emit: (event: "on-load", ...args: any[]) => void;
        payload: import("vue").Ref<any>;
        onShow: () => Promise<void>;
        PreviewLowcodePage: import("vue").DefineComponent<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                padding: boolean;
                payload: Record<string, any>;
                scale: number;
                enableOpenPreviewDialog: boolean;
                enabledEdit: boolean;
            } & {}>>>;
            emit: (event: "on-loaded", ...args: any[]) => void;
            loaded: import("vue").Ref<boolean>;
            rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
            finalPayload: import("vue").ComputedRef<any>;
            onRendered: () => void;
            open: () => void;
            LcdpRenderer: import("vue").DefineComponent<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }, {
                isAdpativePage: import("vue").Ref<boolean>;
                comDef: import("vue").Ref<import("vue").DefineComponent<{
                    onRender: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }, {
                    preprocessed: import("vue").Ref<boolean>;
                    compiledPage: any;
                    compiledPageRef: any;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    onRender: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    onRendered: {
                        type: import("vue").PropType<(context: any) => any>;
                        required: boolean;
                    };
                    payload: {
                        type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                    };
                }>>, {}>>;
                masterPayload: any;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: (ObjectConstructor | StringConstructor)[];
                    requried: boolean;
                };
                config: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
                };
                ignoreMicroAppIdInQuery: {
                    type: BooleanConstructor;
                };
            }>>, {
                ignoreMicroAppIdInQuery: boolean;
            }>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<import("vue").ExtractPropTypes<{
            payload: {
                type: ObjectConstructor;
                required: true;
            };
            scale: {
                type: NumberConstructor;
                default: number;
            };
            enableOpenPreviewDialog: {
                type: BooleanConstructor;
            };
            enabledEdit: {
                type: BooleanConstructor;
            };
            padding: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            padding: boolean;
            scale: number;
            enableOpenPreviewDialog: boolean;
            enabledEdit: boolean;
        }>;
        Observable: import("vue").DefineComponent<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: {
                enabled: boolean;
            };
            emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
            target: import("vue").Ref<any>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<import("vue").ExtractPropTypes<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            enabled: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-load"[], string, Readonly<import("vue").ExtractPropTypes<{
        appId: null;
        group: null;
        id: null;
        versionId: null;
        platform: {
            default: string;
        };
    }>>, {
        platform: string;
    }>;
    PreviewLowcodePage: import("vue").DefineComponent<{
        payload: {
            type: ObjectConstructor;
            required: true;
        };
        scale: {
            type: NumberConstructor;
            default: number;
        };
        enableOpenPreviewDialog: {
            type: BooleanConstructor;
        };
        enabledEdit: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            padding: boolean;
            payload: Record<string, any>;
            scale: number;
            enableOpenPreviewDialog: boolean;
            enabledEdit: boolean;
        } & {}>>>;
        emit: (event: "on-loaded", ...args: any[]) => void;
        loaded: import("vue").Ref<boolean>;
        rendererConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
        finalPayload: import("vue").ComputedRef<any>;
        onRendered: () => void;
        open: () => void;
        LcdpRenderer: import("vue").DefineComponent<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: (ObjectConstructor | StringConstructor)[];
                requried: boolean;
            };
            config: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
            };
            ignoreMicroAppIdInQuery: {
                type: BooleanConstructor;
            };
        }, {
            isAdpativePage: import("vue").Ref<boolean>;
            comDef: import("vue").Ref<import("vue").DefineComponent<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                };
            }, {
                preprocessed: import("vue").Ref<boolean>;
                compiledPage: any;
                compiledPageRef: any;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                onRender: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                onRendered: {
                    type: import("vue").PropType<(context: any) => any>;
                    required: boolean;
                };
                payload: {
                    type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
                };
            }>>, {}>>;
            masterPayload: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            onRender: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: import("vue").PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: (ObjectConstructor | StringConstructor)[];
                requried: boolean;
            };
            config: {
                type: import("vue").PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
            };
            ignoreMicroAppIdInQuery: {
                type: BooleanConstructor;
            };
        }>>, {
            ignoreMicroAppIdInQuery: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-loaded"[], string, Readonly<import("vue").ExtractPropTypes<{
        payload: {
            type: ObjectConstructor;
            required: true;
        };
        scale: {
            type: NumberConstructor;
            default: number;
        };
        enableOpenPreviewDialog: {
            type: BooleanConstructor;
        };
        enabledEdit: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        padding: boolean;
        scale: number;
        enableOpenPreviewDialog: boolean;
        enabledEdit: boolean;
    }>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            selected: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            middle: boolean;
            selectable: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        selected: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        middle: boolean;
        selectable: boolean;
        overflowHidden: boolean;
    }>;
    LcImage: import("vue").DefineComponent<{
        src: null;
        lazy: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        RenderWhenBeSeen: import("vue").DefineComponent<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: {
                enabled: boolean;
            };
            vIf: import("vue").Ref<boolean>;
            Observable: import("vue").DefineComponent<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: {
                    enabled: boolean;
                };
                emit: (event: "on-observe" | "on-show" | "on-hide", ...args: any[]) => void;
                target: import("vue").Ref<any>;
                Column: import("vue").DefineComponent<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }, {
                    __sfc: boolean;
                    props: {
                        itemsCenter?: boolean | undefined;
                        justifyCenter?: boolean | undefined;
                        center?: boolean | undefined;
                        wrap?: boolean | undefined;
                        fit?: boolean | undefined;
                        gutter?: boolean | undefined;
                        grow?: boolean | undefined;
                        gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                    };
                    clazz: import("vue").ComputedRef<{
                        'ui-items-center': boolean | undefined;
                        'ui-justify-center': boolean | undefined;
                        'ui-flex-grow': boolean | undefined;
                        'ui-h-0': boolean | undefined;
                        gutter: boolean | undefined;
                        'ui-gap-1': boolean;
                        'ui-gap-2': boolean;
                        'ui-gap-3': boolean;
                        'ui-gap-4': boolean;
                        'ui-gap-5': boolean;
                        'ui-gap-6': boolean;
                    }>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    itemsCenter: {
                        type: BooleanConstructor;
                    };
                    justifyCenter: {
                        type: BooleanConstructor;
                    };
                    center: {
                        type: BooleanConstructor;
                    };
                    wrap: {
                        type: BooleanConstructor;
                    };
                    fit: {
                        type: BooleanConstructor;
                    };
                    gutter: {
                        type: BooleanConstructor;
                    };
                    grow: {
                        type: BooleanConstructor;
                    };
                    gap: {
                        type: (BooleanConstructor | NumberConstructor)[];
                    };
                }>>, {
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    wrap: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-observe" | "on-show" | "on-hide")[], string, Readonly<import("vue").ExtractPropTypes<{
                enabled: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                enabled: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            enabled: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            enabled: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        src: null;
        lazy: {
            type: BooleanConstructor;
        };
    }>>, {
        lazy: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-load")[], string, Readonly<import("vue").ExtractPropTypes<{
    selected: {
        type: BooleanConstructor;
    };
    icon: null;
    payload: null;
    group: null;
    id: null;
    versionId: null;
    platform: null;
    empty: {
        type: BooleanConstructor;
    };
    title: null;
    cardClass: null;
    width: {
        default: string;
    };
    height: {
        default: string;
    };
    noScroll: {
        type: BooleanConstructor;
    };
}>>, {
    selected: boolean;
    empty: boolean;
    width: string;
    height: string;
    noScroll: boolean;
}>;
export default _default;
